\documentclass[a4paper,10pt]{article}

\usepackage[utf8]{inputenc}
\usepackage{kpfonts}

\usepackage{emploidutemps}

\author{Vincent-Xavier \textsc{Jumel}}
\title{Emploi du temps}
\date{2016-2017}

\ifnum\pdfoutput>0 \pdfinfo
{
  /Title (Emploi du temps) 
  /Author (Vincent-Xavier Jumel) 
  /Subject (Emploi du temps) 
  /Keywords (edt,2016-2017)
}
\fi

%\def\tkzDrawhours

% Color style to apply to divisions
\tikzstyle{AP}=[fill=Green!70]
\tikzstyle{TS3}=[fill=Red!70]
\tikzstyle{2nde4}=[fill=Purple!70]
\tikzstyle{2TSM}=[fill=Yellow!70]
\tikzstyle{2TSE}=[fill=Orange!70]
\tikzstyle{ISN}=[fill=Blue!70]

%\tikzstyle{pausematin}
\usepackage[top=0.6cm,bottom=-0.4cm,left=1.0cm,right=0.3cm,
includefoot,includehead]{geometry}

\pagestyle{empty}
\begin{document}
\landscape
\maketitle
\begin{center}
\begin{tikzpicture}[x=\daywidth, y=-\hourheight, node distance=0 cm,outer sep = 0pt]

  \draw[color=lightgray,xstep=\daywidth,ystep=\hourheight] (1,18) grid (6.05,8.00) ;

  \draw node at (6.2,8) {8:00} ;
  \draw node at (6.2,9) {9:00} ;
  \draw node at (6.2,10) {10:00} ;
  \draw node at (6.2,11) {11:00} ;
  \draw node at (6.2,12) {12:00} ;
  \draw node at (6.2,13) {13:00} ;
  \draw node at (6.2,14) {14:00} ;
  \draw node at (6.2,15) {15:00} ;
  \draw node at (6.2,16) {16:00} ;
  \draw node at (6.2,17) {17:00} ;
  \draw node at (6.2,18) {18:00} ;

  \tkzDrawdays{8:15}

  \tkzDrawhours{8:15}{hour}
  \tkzDrawhours{9:10}{hour}
  \tkzDrawhours{10:05}{hour,minimum height=\hourdur{0:20},text height=0.5ex}
  \tkzDrawhours{10:25}{hour}
  \tkzDrawhours{11:20}{hour}
  \tkzDrawhours{12:15}{hour,minimum height=\hourdur{0:20}}
  \tkzDrawhours{12:35}{hour}
  \tkzDrawhours{13:30}{hour}
  \tkzDrawhours{14:25}{hour}
  \tkzDrawhours{15:20}{hour,minimum height=\hourdur{0:20}}
  \tkzDrawhours{15:40}{hour}
  \tkzDrawhours{16:35}{hour}
  \tkzDrawhours{17:30}{hour}

\node[pausematin] at (1,\hourpos{10:05}) { } ;
\node[pausematin] at (2,\hourpos{10:05}) { } ;
\node[pausematin] at (3,\hourpos{10:05}) { } ;
\node[pausematin] at (4,\hourpos{10:05}) { } ;
\node[pausematin] at (5,\hourpos{10:05}) { } ;

\node[pausemidi] at (1,\hourpos{12:15}) { } ;
\node[pausemidi] at (2,\hourpos{12:15}) { } ;
\node[pausemidi] at (3,\hourpos{12:15}) { } ;
\node[pausemidi] at (4,\hourpos{12:15}) { } ;
\node[pausemidi] at (5,\hourpos{12:15}) { } ;

\node[pauseapresmidi] at (1,\hourpos{15:20}) { } ;
\node[pauseapresmidi] at (2,\hourpos{15:20}) { } ;
\node[pauseapresmidi] at (3,\hourpos{15:20}) { } ;
\node[pauseapresmidi] at (4,\hourpos{15:20}) { } ;
\node[pauseapresmidi] at (5,\hourpos{15:20}) { } ;

\draw [darkgray] (0.95,\hourpos{8:15}) -- (6,\hourpos{8:15}) ;
\draw [darkgray] (0.95,\hourpos{9:10}) -- (6,\hourpos{9:10}) ;
\draw [darkgray] (0.95,\hourpos{10:05}) -- (6,\hourpos{10:05}) ;
\draw [darkgray] (0.95,\hourpos{10:25}) -- (6,\hourpos{10:25}) ;
\draw [darkgray] (0.95,\hourpos{11:20}) -- (6,\hourpos{11:20}) ;
\draw [darkgray] (0.95,\hourpos{12:15}) -- (6,\hourpos{12:15}) ;
\draw [darkgray] (0.95,\hourpos{12:35}) -- (6,\hourpos{12:35}) ;
\draw [darkgray] (0.95,\hourpos{13:30}) -- (6,\hourpos{13:30}) ;
\draw [darkgray] (0.95,\hourpos{14:25}) -- (6,\hourpos{14:25}) ;
\draw [darkgray] (0.95,\hourpos{15:20}) -- (6,\hourpos{15:20}) ;
\draw [darkgray] (0.95,\hourpos{15:40}) -- (6,\hourpos{15:40}) ;
\draw [darkgray] (0.95,\hourpos{16:35}) -- (6,\hourpos{16:35}) ;
\draw [darkgray] (0.95,\hourpos{17:30}) -- (6,\hourpos{17:30}) ;

\small


\node[1hour,AP] at (1,\hourpos{8:15}) {{\textbf{Accompagement Perso}}\\
  2nde 4\\\textit{425}} ;
\node[2hours,2TSM] at (1,\hourpos{10:25}) {{\textbf{Mathématiques}}\\
  2TMS\\\textit{342}} ;
\node[1hour,TS3] at (1,\hourpos{14:25}) {\textbf{Mathématiques}\\
  TS S3\\\textit{212}} ;
\node[1hour,TS3] at (1,\hourpos{15:40}) {{\textbf{Mathématiques}}\\
  TS S3 GrA \\\textit{425}} ;

\node[1hour,TS3] at (2,\hourpos{10:25}) {{\textbf{Mathématiques}}\\
  TS S3 GrB\\\textit{330}} ;
\node[1hour,2nde4] at (2,\hourpos{11:20}) {{\textbf{Mathématiques}}\\
  2nde 4 GrB\\\textit{425}} ;
\node[1hour,2TSE] at (2,\hourpos{13:30}) {{\textbf{Mathématiques}}\\
  2TSE \\\textit{331}} ;
\node[1hour,TS3] at (2,\hourpos{14:25}) {\textbf{Mathématiques}\\
  TS S3\\\textit{444}} ;

\node[2hours,ISN] at (3,\hourpos{8:15}) {{\textbf{ISN}} \\
  TS S1,S2,S3\\\textit{330}} ;
\node[1hour,2TSM] at (3,\hourpos{11:20}) {{\textbf{Mathématiques}}\\
  2TMS\\\textit{332}} ;
\node[1hour,2TSE] at (3,\hourpos{13:30}) {{\textbf{Mathématiques}}\\
  2TSE \\\textit{332}} ;

\node[1hour,even,AP] at (4,\hourpos{8:15}) {{\textbf{Accompagement Perso}}\\
  TS S3\\\textit{218}} ;
\node[1hour,2nde4] at (4,\hourpos{9:10}) {{\textbf{Mathématiques}}\\
  2nde 4\\\textit{218}} ;
\node[1hour,2nde4] at (4,\hourpos{10:25}) {{\textbf{Mathématiques}}\\
  2nde 4\\\textit{218}} ;
\node[2hours,TS3] at (4,\hourpos{13:30}) {{\textbf{Mathématiques}}\\
  TS S3\\\textit{341}} ;

\node[1hour,2TSE] at (5,\hourpos{9:10}) {{\textbf{Mathématiques}}\\
  2TSE \\\textit{332}} ;
\node[1hour,2nde4] at (5,\hourpos{10:25}) {{\textbf{Mathématiques}}\\
  2nde 4 GrA\\\textit{425}} ;
\node[1hour,2nde4] at (5,\hourpos{13:30}) {{\textbf{Mathématiques}}\\
  2nde 4\\\textit{218}} ;
\node[1hour,TS3] at (5,\hourpos{14:25}) {\textbf{Mathématiques}\\
   TS S3\\\textit{424}} ;



\end{tikzpicture}
\end{center}
\end{document}
